## libstdc++-riscv64-unknown-elf 2

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (2) unstable; urgency=medium

  * Add lintian overrides

 -- Keith Packard <keithp@keithp.com>  Sun, 29 Sep 2024 21:49:15 -0700

libstdc++-riscv64-unknown-elf (1) unstable; urgency=medium

  * Initial release

 -- Keith Packard <keithp@keithp.com>  Sat, 28 Sep 2024 22:07:59 -0700
