=== debian/tests/control ===
Tests: build-examples
Restrictions:
    allow-stderr
Depends: @,
 gcc-riscv64-unknown-elf,
