## libstdc++-riscv64-unknown-elf 4

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  autotools-dev,
  binutils-riscv64-unknown-elf,
  gcc-riscv64-unknown-elf,
- gcc-14-source,
  picolibc-riscv64-unknown-elf,
  bison,
  debhelper (>= 10),
@@ -35,7 +34,6 @@
 
 Package: libstdc++-riscv64-unknown-elf-dev
 Architecture: all
-Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -47,7 +45,6 @@
 
 Package: libstdc++-riscv64-unknown-elf-picolibc
 Architecture: all
-Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
