## libstdc++-riscv64-unknown-elf 5

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (5) unstable; urgency=medium

  * Add dependency on compiler. Closes: #1102539.

 -- Keith Packard <keithp@keithp.com>  Thu, 10 Apr 2025 17:59:53 -0700

libstdc++-riscv64-unknown-elf (4) unstable; urgency=medium

  * Add local copy of gcc source code.

 -- Keith Packard <keithp@keithp.com>  Fri, 31 Jan 2025 23:01:35 -0800

libstdc++-riscv64-unknown-elf (3) unstable; urgency=medium

  * Replace tests with something that works

 -- Keith Packard <keithp@keithp.com>  Wed, 08 Jan 2025 12:24:37 -0800
