=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,14 @@
 
 TARGET=riscv64-unknown-elf
 
-GCC_VERSION=14
-GCC_PACKAGE=gcc-$(GCC_VERSION)
+GCC_VERSION=14.2.0
 
 include /usr/share/dpkg/pkg-info.mk
 
-SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
+SVERSION := $(GCC_VERSION)
 DVERSION := $(SVERSION)+$(DEB_VERSION)
-UVERSION := $(shell echo $(DVERSION) | cut -d- -f1)
-BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
+UVERSION := $(GCC_VERSION)
+BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*/\1/')
 
 TOP_DIR=$(shell pwd)
 LIBSTDCXX_SDIR=$(TOP_DIR)/src/libstdc++-v3
@@ -84,7 +83,7 @@
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
 	mkdir -p src
-	tar xf /usr/src/$(GCC_PACKAGE)/gcc-*.tar.* --strip-components=1 -C src
+	tar xf debian/gcc-*.tar.* --strip-components=1 -C src
 	set -ex; \
 		cd src; \
 		for patch in ../debian/patches/*.patch; do \
