=== debian/tests/control ===
Tests: build-hello
Restrictions:
    allow-stderr
Depends: @,
 gcc-riscv64-unknown-elf, qemu-system-riscv
