=== debian/control ===
Source: libstdc++-riscv64-unknown-elf
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Rules-Requires-Root: no
Build-Depends:
 gcc-riscv64-unknown-elf-source (>= 15.2.0),
 binutils-riscv64-unknown-elf (>= 2.45.50),
 binutils-aarch64-none-elf (>= 2.45.50),
 gcc-riscv64-unknown-elf (>= 15.2.0),
 picolibc-riscv64-unknown-elf (>= 1.8.11),
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 rename,
Standards-Version: 4.7.0
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
Vcs-Browser: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf

Package: libstdc++-riscv64-unknown-elf
Architecture: all
Depends:
 ${misc:Depends},
 picolibc-riscv64-unknown-elf (>= 1.8.11),
 gcc-riscv64-unknown-elf (= ${gcc:Version}),
Description: GNU Standard C++ Library v3 for embedded Risc-V processors
 GNU Standard C++ library for embedded Risc-V processors, both 32 and
 64 bit.
