=== debian/control ===
--- 
+++ 
@@ -31,11 +31,12 @@
  rename,
 Standards-Version: 4.7.0
 Homepage: http://gcc.gnu.org/
-Vcs-Git: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
-Vcs-Browser: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
+Vcs-Git: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf
+Vcs-Browser: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf
 
 Package: libstdc++-riscv64-unknown-elf
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  picolibc-riscv64-unknown-elf (>= 1.8.11),
